Gentoo Archives: gentoo-user

From: Raymond Jennings <shentino@×××××.com>
To: gentoo-user <gentoo-user@l.g.o>
Subject: [gentoo-user] Removal of classic skype
Date: Sat, 07 Oct 2017 16:33:08
Message-Id: CAGDaZ_qtkNmwN4MGSgX8AWxzFiboyR=FLH=VhGO=XQTh9CwJTg@mail.gmail.com
Due to the removal of qt4, all of its reverse dependencies are also going
to be removed.

This decision has already been made by the qt project and is not up for
discussion.

Furthermore, qt4 has a large number of security bugs and it has also been
brought to my attention that it even fails to build in a few cases, and
finally it is no longer being maintained by upstream.  Therefore, due to
the build failures making it impossible to even install in a large number
of cases, and thus skype classic, I'm no longer going to maintain it.

Anyone who really wants to keep classic skype still, feel free to install
the "kde sunset" overlay to recover the soon-to-be-removed qt4 dependencies
and for the moment make a snapshot of the ebuild before it is removed from
the portage tree.

Also, even though they haven't *yet* followed through, microsoft has
announced already that the classic version of skype will eventually be
EOL'ed.  at the moment you're still able to install it as of 48 hours ago
last time I checked, but it is on the chopping block and likely will
eventually be removed from download, as well as banned from microsoft's
login servers.  Once this happens further usage will be impossible.

No further support can be offered on skype classic, and it is eventually
going to be removed from the portage tree for the reasons listed above.

Replies

Subject Author
Re: [gentoo-user] Removal of classic skype Mick <michaelkintzios@×××××.com>